Package com.sas.lsaf.execution.job

## Class JobSubmission

- java.lang.Object
- - com.sas.lsaf.execution.job.JobSubmission

- All Implemented Interfaces:
    `java.io.Serializable`

      public class JobSubmission
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the job submission object that is used as a token to retrieve the status of a submitted job.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `JobSubmission.JobSubmissionType` | The types of job submissions.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobSubmission​(java.lang.String id, JobSubmission.JobSubmissionType submissionType, java.lang.String jobId, java.lang.String jobPath, java.lang.String jobVersion, java.lang.String sessionId, JobSubmissionStatus jobSubmissionStatus, java.lang.String submittedBy, java.util.Date submitted, java.util.Date completed, java.lang.String jobOwner, java.lang.String runAsUser)` | The constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.Date` | `getCompleted()` | Gets the date on which the job was completed.
    `java.lang.String` | `getId()` | Gets the identifier of the job submission.
    `java.lang.String` | `getJobId()` | Gets the identifier of the job submitted.
    `java.lang.String` | `getJobOwner()` | Gets the userid of the job owner.
    `java.lang.String` | `getJobPath()` | Gets the job path to the job submission.
    `JobSubmissionStatus` | `getJobSubmissionStatus()` | Gets the job details and submission status for the job submission.
    `java.lang.String` | `getJobVersion()` | Gets the job version of the job submission.
    `java.lang.String` | `getRunAsUser()` | Gets the userid of the user the job was run as.
    `java.lang.String` | `getSessionId()` | Gets the identifier of the session that was created for the job submission.
    `JobSubmission.JobSubmissionType` | `getSubmissionType()` | Gets the submission type of the job submission.
    `java.util.Date` | `getSubmitted()` | Gets the date on which the job was submitted.
    `java.lang.String` | `getSubmittedBy()` | Gets the userId of the user who submitted the job.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobSubmission

          public JobSubmission​(java.lang.String id,
                               JobSubmission.JobSubmissionType submissionType,
                               java.lang.String jobId,
                               java.lang.String jobPath,
                               java.lang.String jobVersion,
                               java.lang.String sessionId,
                               JobSubmissionStatus jobSubmissionStatus,
                               java.lang.String submittedBy,
                               java.util.Date submitted,
                               java.util.Date completed,
                               java.lang.String jobOwner,
                               java.lang.String runAsUser)

      The constructor.
      Parameters:
        `id` - The identifier for the job submission.
        `submissionType` - The type of job submission.
        `jobId` - The identifier of the job submitted.
        `jobPath` - The path to the job submitted.
        `jobVersion` - The version of the job to submit.
        `sessionId` - The identifier of the session that is generated for the job submission.
        `jobSubmissionStatus` - The job details and submission status for the job submission.
        `submittedBy` - The identifier of the user who submitted the job.
        `submitted` - The date on which the job was submitted.
        `completed` - The date on which the job was completed.
        `jobOwner` - The userid of the job owner.
        `runAsUser` - The userid of the user that the job was run as.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the identifier of the job submission.
      Returns:
        The identifier.

    - #### getJobId

          public java.lang.String getJobId()

      Gets the identifier of the job submitted.
      Returns:
        The identifier.

    - #### getJobPath

          public java.lang.String getJobPath()

      Gets the job path to the job submission.
      Returns:
        The job path.

    - #### getJobVersion

          public java.lang.String getJobVersion()

      Gets the job version of the job submission.
      Returns:
        The job version of the job submission.

    - #### getSubmissionType

          public JobSubmission.JobSubmissionType getSubmissionType()

      Gets the submission type of the job submission.
      Returns:
        The submission type.

    - #### getSessionId

          public java.lang.String getSessionId()

      Gets the identifier of the session that was created for the job submission.
      Returns:
        The identifier of the session.

    - #### getSubmittedBy

          public java.lang.String getSubmittedBy()

      Gets the userId of the user who submitted the job.
      Returns:
        The userId of the user.

    - #### getSubmitted

          public java.util.Date getSubmitted()

      Gets the date on which the job was submitted.
      Returns:
        The date.

    - #### getCompleted

          public java.util.Date getCompleted()

      Gets the date on which the job was completed.
      Returns:
        The date.

    - #### getJobSubmissionStatus

          public JobSubmissionStatus getJobSubmissionStatus()

      Gets the job details and submission status for the job submission.
      Returns:
        The job details and submission status.

    - #### getJobOwner

          public java.lang.String getJobOwner()

      Gets the userid of the job owner.
      Returns:
        The userid of the job owner.

    - #### getRunAsUser

          public java.lang.String getRunAsUser()

      Gets the userid of the user the job was run as.
      Returns:
        The userid of the user.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`